package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 业务类型(0.一级业务,1.二级业务)枚举类
*
* @author zxfei
*/
public enum IsBusinessEnum {
    一级业务(0, "一级业务"),
    二级业务(1, "二级业务");
    private Integer value;
    private String desc;

    IsBusinessEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static IsBusinessEnum getByValue(Integer value) {
        for (IsBusinessEnum isBusinessEnum : IsBusinessEnum.values()) {
            if (isBusinessEnum.getValue() == value) {
                return isBusinessEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (IsBusinessEnum item : IsBusinessEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}